org.apache.hc.client5.http.impl

## Class ExecSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.ExecSupport

    public final class ExecSupport
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExecSupport()`

### Method Summary

Methods
`static org.apache.hc.core5.http.ClassicHttpRequest` `copy(org.apache.hc.core5.http.ClassicHttpRequest original)`
`static org.apache.hc.core5.http.ClassicHttpResponse` `copy(org.apache.hc.core5.http.ClassicHttpResponse original)`
`static org.apache.hc.core5.http.HttpRequest` `copy(org.apache.hc.core5.http.HttpRequest original)`
`static org.apache.hc.core5.http.HttpResponse` `copy(org.apache.hc.core5.http.HttpResponse original)`
`static long` `getNextExecNumber()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecSupport

    public ExecSupport()

### Method Detail

#### getNextExecNumber

    public static long getNextExecNumber()

#### copy

    public static org.apache.hc.core5.http.HttpRequest copy(org.apache.hc.core5.http.HttpRequest original)

#### copy

    public static org.apache.hc.core5.http.HttpResponse copy(org.apache.hc.core5.http.HttpResponse original)

#### copy

    public static org.apache.hc.core5.http.ClassicHttpRequest copy(org.apache.hc.core5.http.ClassicHttpRequest original)

#### copy

    public static org.apache.hc.core5.http.ClassicHttpResponse copy(org.apache.hc.core5.http.ClassicHttpResponse original)